* [gentoo-commits] repo/gentoo:master commit in: dev-lang/tk/, dev-lang/tk/files/
@ 2016-03-08 8:04 Lars Wendler
0 siblings, 0 replies; 4+ messages in thread
From: Lars Wendler @ 2016-03-08 8:04 UTC (permalink / raw
To: gentoo-commits
commit: 359b70219c1c4d59388dd81de13f374f32a42492
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 8 07:48:46 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Mar 8 08:04:31 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=359b7021
dev-lang/tk: Bump to version 8.6.5
Package-Manager: portage-2.2.27
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
dev-lang/tk/Manifest | 1 +
dev-lang/tk/files/tk-8.4.15-aqua.patch | 4 +-
dev-lang/tk/tk-8.6.5.ebuild | 144 +++++++++++++++++++++++++++++++++
3 files changed, 147 insertions(+), 2 deletions(-)
diff --git a/dev-lang/tk/Manifest b/dev-lang/tk/Manifest
index 6c31ec8..cf5fd72 100644
--- a/dev-lang/tk/Manifest
+++ b/dev-lang/tk/Manifest
@@ -1,3 +1,4 @@
DIST tcl8.5.17-src.tar.gz 4546317 SHA256 4c7cd8f2e0900cb36dde899b3f9f4d5c471ee3c4f8304cf9ec71fd18cd5e98d6 SHA512 ad5ddb4cd6378fd6bbea8cd85ceb1cf90392b2e8c49fbfb3e4b35c81d3ae3e3f087697c41fcba8c8e06de1d9e7539397e26d58b864dc01ba65abe4ba4efa9568 WHIRLPOOL 7e97049eb3875bcdc33b2d8ab02b0932173916fbbdfbc7970dd3c3ed1fe520c15ed1d6106215a823b5fc6f5008f12f3ccd1525dd536ec239388e6bf459352ab6
DIST tk8.5.17-src.tar.gz 4095985 SHA256 b517914d076fba047c4bbc02f7dd7f0b0b06d1931826ae440129162d8bba92d3 SHA512 ddadc738c2567e35d1257b59212c8a0eb70a1bf041d986bc6df3b841b51d934d79a0ef389c928223a64516a92cae3357b2c789edca9c8a626ff4c1cf320c4f4f WHIRLPOOL 431ad2d190755b997b07c8a59046c7f15a7be39cb8b162daccae8eca4c4b6e97a52d5823e7e566380935abefad347d18a28fc3a7e78892b6186ebcefce726fd3
DIST tk8.6.4-src.tar.gz 4266426 SHA256 08f99df85e5dc9c4271762163c6aabb962c8b297dc5c4c1af8bdd05fc2dd26c1 SHA512 d0a1d1fd0938af4a9e532aa1bd4488647cff05f98e9e09b5fa16b773364a5d61030b7975541c688c7e0afc0bde60d49ce50a24d842549bab1622a0255e267909 WHIRLPOOL 8660c222d9b32d805d654ca9d9a881ec93705874790186a426fcbddf31e39316bccde4421a949684ba456351aeac619de0b7a27f39c1d3af14157d7553472801
+DIST tk8.6.5-src.tar.gz 4417393 SHA256 fbbd93541b4cd467841208643b4014c4543a54c3597586727f0ab128220d7946 SHA512 9acf2ef993a566a7cdd1efe21dc896b09125c65d86df53ab5a78542b21d3f031e9f9d72b81738705636c268b5ce72934c483eb087d5c0114f913c9075db9a3b1 WHIRLPOOL 8f0e789d05f05778f0f383a6cbabd6e2225401ab0ce68bd408ab747408b7f83e4f47ef7041ee23231dbfd5dafa74d8f498922104b3e38283dcf1ab83e7cb2dfd
diff --git a/dev-lang/tk/files/tk-8.4.15-aqua.patch b/dev-lang/tk/files/tk-8.4.15-aqua.patch
index 9e6f59d..39c2316 100644
--- a/dev-lang/tk/files/tk-8.4.15-aqua.patch
+++ b/dev-lang/tk/files/tk-8.4.15-aqua.patch
@@ -1,5 +1,5 @@
---- unix/Makefile.in
-+++ unix/Makefile.in
+--- a/unix/Makefile.in
++++ b/unix/Makefile.in
@@ -468,7 +468,7 @@
AQUA_HDRS = $(MAC_OSX_DIR)/tkMacOSX.h $(GENERIC_DIR)/tkIntXlibDecls.h
diff --git a/dev-lang/tk/tk-8.6.5.ebuild b/dev-lang/tk/tk-8.6.5.ebuild
new file mode 100644
index 0000000..c043ae5
--- /dev/null
+++ b/dev-lang/tk/tk-8.6.5.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils multilib multilib-minimal prefix toolchain-funcs versionator virtualx
+
+MY_P="${PN}${PV/_beta/b}"
+
+DESCRIPTION="Tk Widget Set"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="mirror://sourceforge/tcl/${MY_P}-src.tar.gz"
+
+LICENSE="tcltk"
+SLOT="0/8.6"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug +threads truetype aqua xscreensaver"
+
+RDEPEND="
+ !aqua? (
+ >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}]
+ truetype? ( >=x11-libs/libXft-2.3.1-r1[${MULTILIB_USEDEP}] )
+ xscreensaver? ( >=x11-libs/libXScrnSaver-1.2.2-r1[${MULTILIB_USEDEP}] )
+ )
+ ~dev-lang/tcl-${PV}:0=[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}
+ !aqua? ( >=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}] )"
+
+# Not bumped to 8.6
+#RESTRICT=test
+
+SPARENT="${WORKDIR}/${MY_P}"
+S="${SPARENT}"/unix
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-8.5.11-fedora-xft.patch \
+ "${FILESDIR}"/${PN}-8.5.13-multilib.patch
+
+ "${FILESDIR}"/${PN}-8.4.15-aqua.patch
+
+ # Bug 125971
+ "${FILESDIR}"/${PN}-8.5.14-conf.patch
+)
+
+src_prepare() {
+ find \
+ "${SPARENT}"/compat/* \
+ -delete || die
+
+ pushd "${SPARENT}" &>/dev/null || die
+ default
+ popd &>/dev/null || die
+ eprefixify Makefile.in
+
+ # Make sure we use the right pkg-config, and link against fontconfig
+ # (since the code base uses Fc* functions).
+ sed \
+ -e 's/FT_New_Face/XftFontOpen/g' \
+ -e "s:\<pkg-config\>:$(tc-getPKG_CONFIG):" \
+ -e 's:xft freetype2:xft freetype2 fontconfig:' \
+ -i configure.in || die
+ rm configure || die
+
+ tc-export CC
+
+ sed \
+ -e '/chmod/s:555:755:g' \
+ -i Makefile.in || die
+
+ sed \
+ -e 's:-O[2s]\?::g' \
+ -i tcl.m4 || die
+
+ mv configure.{in,ac} || die
+
+ eautoconf
+
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local mylibdir=$(get_libdir)
+
+ econf \
+ --with-tcl="${EPREFIX}/usr/${mylibdir}" \
+ $(use_enable threads) \
+ $(use_enable aqua) \
+ $(use_enable truetype xft) \
+ $(use_enable xscreensaver xss) \
+ $(use_enable debug symbols)
+}
+
+multilib_src_test() {
+ virtx emake test
+}
+
+multilib_src_install() {
+ #short version number
+ local v1=$(get_version_component_range 1-2)
+ local mylibdir=$(get_libdir)
+
+ S= default
+
+ # normalize $S path, bug #280766 (pkgcore)
+ local nS="$(cd "${S}"; pwd)"
+
+ # fix the tkConfig.sh to eliminate refs to the build directory
+ # and drop unnecessary -L inclusion to default system libdir
+
+ sed \
+ -e "/^TK_BUILD_LIB_SPEC=/s:-L${S}-\w*\.\w* ::g" \
+ -e "/^TK_LIB_SPEC=/s:-L${EPREFIX}/usr/${mylibdir} *::g" \
+ -e "/^TK_SRC_DIR=/s:${SPARENT}:${EPREFIX}/usr/${mylibdir}/tk${v1}/include:g" \
+ -e "/^TK_BUILD_STUB_LIB_SPEC=/s:-L${S}-\w*\.\w* *::g" \
+ -e "/^TK_STUB_LIB_SPEC=/s:-L${EPREFIX}/usr/${mylibdir} *::g" \
+ -e "/^TK_BUILD_STUB_LIB_PATH=/s:${S}-\w*\.\w*:${EPREFIX}/usr/${mylibdir}:g" \
+ -e "/^TK_LIB_FILE=/s:'libtk${v1}..TK_DBGX..so':\"libk${v1}\$\{TK_DBGX\}.so\":g" \
+ -i "${ED}"/usr/${mylibdir}/tkConfig.sh || die
+ if use prefix && [[ ${CHOST} != *-darwin* && ${CHOST} != *-mint* ]] ; then
+ sed \
+ -e "/^TK_CC_SEARCH_FLAGS=/s|'$|:${EPREFIX}/usr/${mylibdir}'|g" \
+ -e "/^TK_LD_SEARCH_FLAGS=/s|'$|:${EPREFIX}/usr/${mylibdir}'|" \
+ -i "${ED}"/usr/${mylibdir}/tkConfig.sh || die
+ fi
+
+ # install private headers
+ insinto /usr/${mylibdir}/tk${v1}/include/unix
+ doins "${S}"/*.h
+ insinto /usr/${mylibdir}/tk${v1}/include/generic
+ doins "${SPARENT}"/generic/*.h
+ rm -f "${ED}"/usr/${mylibdir}/tk${v1}/include/generic/{tk,tkDecls,tkPlatDecls}.h || die
+
+ # install symlink for libraries
+ dosym libtk${v1}$(get_libname) /usr/${mylibdir}/libtk$(get_libname)
+ dosym libtkstub${v1}.a /usr/${mylibdir}/libtkstub.a
+
+ if multilib_is_native_abi; then
+ dosym wish${v1} /usr/bin/wish
+ dodoc "${SPARENT}"/{ChangeLog*,README,changes}
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/tk/, dev-lang/tk/files/
@ 2016-08-08 7:50 Lars Wendler
0 siblings, 0 replies; 4+ messages in thread
From: Lars Wendler @ 2016-08-08 7:50 UTC (permalink / raw
To: gentoo-commits
commit: 69a481c16e3741a33e679609fd6245e49a32e6e9
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 8 07:47:26 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Aug 8 07:50:14 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69a481c1
dev-lang/tk: Removed old.
Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
dev-lang/tk/Manifest | 1 -
dev-lang/tk/files/tcl-8.5.9-gentoo-fbsd.patch | 13 --
dev-lang/tk/files/tk-8.4-lastevent.patch | 28 -----
dev-lang/tk/files/tk-8.4.11-multilib.patch | 24 ----
dev-lang/tk/files/tk-8.4.15-tclm4-soname.patch | 12 --
dev-lang/tk/files/tk-8.4.9-man.patch | 29 -----
dev-lang/tk/files/tk-8.5.10-conf.patch | 31 -----
.../tk-8.5.11-fix-name-collision-uclibc.patch | 35 ------
dev-lang/tk/files/tk-8.5.13-conf.patch | 25 ----
dev-lang/tk/files/tk-8.5_alpha6-tclm4-soname.patch | 12 --
dev-lang/tk/files/tk-configure-LANG.patch | 41 ------
dev-lang/tk/tk-8.6.4-r1.ebuild | 139 ---------------------
12 files changed, 390 deletions(-)
diff --git a/dev-lang/tk/Manifest b/dev-lang/tk/Manifest
index 45c9a11..07e4140 100644
--- a/dev-lang/tk/Manifest
+++ b/dev-lang/tk/Manifest
@@ -1,5 +1,4 @@
DIST tcl8.5.17-src.tar.gz 4546317 SHA256 4c7cd8f2e0900cb36dde899b3f9f4d5c471ee3c4f8304cf9ec71fd18cd5e98d6 SHA512 ad5ddb4cd6378fd6bbea8cd85ceb1cf90392b2e8c49fbfb3e4b35c81d3ae3e3f087697c41fcba8c8e06de1d9e7539397e26d58b864dc01ba65abe4ba4efa9568 WHIRLPOOL 7e97049eb3875bcdc33b2d8ab02b0932173916fbbdfbc7970dd3c3ed1fe520c15ed1d6106215a823b5fc6f5008f12f3ccd1525dd536ec239388e6bf459352ab6
DIST tk8.5.17-src.tar.gz 4095985 SHA256 b517914d076fba047c4bbc02f7dd7f0b0b06d1931826ae440129162d8bba92d3 SHA512 ddadc738c2567e35d1257b59212c8a0eb70a1bf041d986bc6df3b841b51d934d79a0ef389c928223a64516a92cae3357b2c789edca9c8a626ff4c1cf320c4f4f WHIRLPOOL 431ad2d190755b997b07c8a59046c7f15a7be39cb8b162daccae8eca4c4b6e97a52d5823e7e566380935abefad347d18a28fc3a7e78892b6186ebcefce726fd3
-DIST tk8.6.4-src.tar.gz 4266426 SHA256 08f99df85e5dc9c4271762163c6aabb962c8b297dc5c4c1af8bdd05fc2dd26c1 SHA512 d0a1d1fd0938af4a9e532aa1bd4488647cff05f98e9e09b5fa16b773364a5d61030b7975541c688c7e0afc0bde60d49ce50a24d842549bab1622a0255e267909 WHIRLPOOL 8660c222d9b32d805d654ca9d9a881ec93705874790186a426fcbddf31e39316bccde4421a949684ba456351aeac619de0b7a27f39c1d3af14157d7553472801
DIST tk8.6.5-src.tar.gz 4417393 SHA256 fbbd93541b4cd467841208643b4014c4543a54c3597586727f0ab128220d7946 SHA512 9acf2ef993a566a7cdd1efe21dc896b09125c65d86df53ab5a78542b21d3f031e9f9d72b81738705636c268b5ce72934c483eb087d5c0114f913c9075db9a3b1 WHIRLPOOL 8f0e789d05f05778f0f383a6cbabd6e2225401ab0ce68bd408ab747408b7f83e4f47ef7041ee23231dbfd5dafa74d8f498922104b3e38283dcf1ab83e7cb2dfd
DIST tk8.6.6-src.tar.gz 4273737 SHA256 d62c371a71b4744ed830e3c21d27968c31dba74dd2c45f36b9b071e6d88eb19d SHA512 223c72ab5a6f6040928c56843598b878efafab44ed4152a38e68aa2800f2c181adc50a8bf23279b7d446493eec43854920e8b649b6a34ecdf31ecc07ccc74044 WHIRLPOOL 65b8395fdefad62ff6d9323fa7857fadad49867e34e3f641909c2e71d883f34f7b1491f9b3abbaf66409bc195bebda8f1e8caee5f002e4e25026fcc8315cd9d6
diff --git a/dev-lang/tk/files/tcl-8.5.9-gentoo-fbsd.patch b/dev-lang/tk/files/tcl-8.5.9-gentoo-fbsd.patch
deleted file mode 100644
index 022d81d..0000000
--- a/dev-lang/tk/files/tcl-8.5.9-gentoo-fbsd.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/unix/tcl.m4 b/unix/tcl.m4
-index fdd9d44..31bfca8 100644
---- a/unix/tcl.m4
-+++ b/unix/tcl.m4
-@@ -1601,7 +1601,7 @@ dnl AC_CHECK_TOOL(AR, ar)
- # Version numbers are dot-stripped by system policy.
- TCL_TRIM_DOTS=`echo ${VERSION} | tr -d .`
- UNSHARED_LIB_SUFFIX='${TCL_TRIM_DOTS}.a'
-- SHARED_LIB_SUFFIX='${TCL_TRIM_DOTS}\$\{DBGX\}.so.1'
-+ SHARED_LIB_SUFFIX='${TCL_TRIM_DOTS}\$\{DBGX\}.so'
- TCL_LIB_VERSIONS_OK=nodots
- ;;
- Darwin-*)
diff --git a/dev-lang/tk/files/tk-8.4-lastevent.patch b/dev-lang/tk/files/tk-8.4-lastevent.patch
deleted file mode 100644
index f93d335..0000000
--- a/dev-lang/tk/files/tk-8.4-lastevent.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-Source: Jeffrey Gardner (je_fro) <jeffrey.e.gardner@comcast.net> - http://overlays.gentoo.org/dev/je_fro/browser/dev-lang/tk/files/tk-8.4-lastevent.patch
-Upstream: N/A
-Reason: Fix ABI incompatibility introduced by x11-proto/xproto-7.0.13 (bug #225999)
---- generic/tk.h.orig 2008-02-06 16:31:40.000000000 +0100
-+++ generic/tk.h 2008-07-24 08:21:46.000000000 +0200
-@@ -635,17 +635,15 @@
- *
- *---------------------------------------------------------------------------
- */
--#define VirtualEvent (LASTEvent)
--#define ActivateNotify (LASTEvent + 1)
--#define DeactivateNotify (LASTEvent + 2)
--#define MouseWheelEvent (LASTEvent + 3)
--#define TK_LASTEVENT (LASTEvent + 4)
-+#define VirtualEvent (MappingNotify + 1)
-+#define ActivateNotify (MappingNotify + 2)
-+#define DeactivateNotify (MappingNotify + 3)
-+#define MouseWheelEvent (MappingNotify + 4)
-+#define TK_LASTEVENT (MappingNotify + 5)
-
- #define MouseWheelMask (1L << 28)
--
- #define ActivateMask (1L << 29)
- #define VirtualEventMask (1L << 30)
--#define TK_LASTEVENT (LASTEvent + 4)
-
-
- /*
diff --git a/dev-lang/tk/files/tk-8.4.11-multilib.patch b/dev-lang/tk/files/tk-8.4.11-multilib.patch
deleted file mode 100644
index 092b806..0000000
--- a/dev-lang/tk/files/tk-8.4.11-multilib.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-diff -Naur tk8.4.11.orig/unix/configure tk8.4.11/unix/configure
---- tk8.4.11.orig/unix/configure 2005-06-30 01:43:10.000000000 +0900
-+++ tk8.4.11/unix/configure 2005-07-02 23:22:35.000000000 +0900
-@@ -5721,7 +5721,7 @@
- TCL_STUB_FLAGS="-DUSE_TCL_STUBS"
- fi
-
--TK_LIBRARY='$(prefix)/lib/tk$(VERSION)'
-+TK_LIBRARY='$(libdir)/tk$(VERSION)'
- PRIVATE_INCLUDE_DIR='$(includedir)'
- HTML_DIR='$(DISTDIR)/html'
- TK_PKG_DIR='tk$(VERSION)$(TK_DBGX)'
-diff -Naur tk8.4.11.orig/unix/configure.in tk8.4.11/unix/configure.in
---- tk8.4.11.orig/unix/configure.in 2005-06-30 01:43:10.000000000 +0900
-+++ tk8.4.11/unix/configure.in 2005-07-02 23:22:16.000000000 +0900
-@@ -393,7 +393,7 @@
- TCL_STUB_FLAGS="-DUSE_TCL_STUBS"
- fi
-
--TK_LIBRARY='$(prefix)/lib/tk$(VERSION)'
-+TK_LIBRARY='$(libdir)/tk$(VERSION)'
- PRIVATE_INCLUDE_DIR='$(includedir)'
- HTML_DIR='$(DISTDIR)/html'
- TK_PKG_DIR='tk$(VERSION)$(TK_DBGX)'
diff --git a/dev-lang/tk/files/tk-8.4.15-tclm4-soname.patch b/dev-lang/tk/files/tk-8.4.15-tclm4-soname.patch
deleted file mode 100644
index b427d27..0000000
--- a/dev-lang/tk/files/tk-8.4.15-tclm4-soname.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -Naur tk8.4.15.orig/unix/tcl.m4 tk8.4.15/unix/tcl.m4
---- tk8.4.15.orig/unix/tcl.m4 2007-05-26 01:09:54.000000000 +0900
-+++ tk8.4.15/unix/tcl.m4 2007-07-21 02:16:13.000000000 +0900
-@@ -1345,7 +1345,7 @@
- #CFLAGS_OPTIMIZE="${CFLAGS_OPTIMIZE} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
-
- if test "$have_dl" = yes; then
-- SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS}'
-+ SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS} -Wl,-soname,${@}'
- DL_OBJS="tclLoadDl.o"
- DL_LIBS="-ldl"
- LDFLAGS="$LDFLAGS -Wl,--export-dynamic"
diff --git a/dev-lang/tk/files/tk-8.4.9-man.patch b/dev-lang/tk/files/tk-8.4.9-man.patch
deleted file mode 100644
index bb816f8..0000000
--- a/dev-lang/tk/files/tk-8.4.9-man.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-diff -Naur tk8.4.9.orig/unix/installManPage tk8.4.9/unix/installManPage
---- tk8.4.9.orig/unix/installManPage 2004-12-07 04:46:29.000000000 +0900
-+++ tk8.4.9/unix/installManPage 2005-03-02 23:36:23.252797867 +0900
-@@ -3,7 +3,7 @@
- ZIP=:
- while true; do
- case $1 in
-- -s | --symlinks ) S="-s ";;
-+ -s | --symlinks ) TK_S="-s ";;
- -z | --compress ) ZIP=$2; shift ;;
- -e | --extension ) Z=$2; shift ;;
- -s | --suffix ) SUFFIX=$2; shift ;;
-@@ -18,7 +18,7 @@
-
- MANPAGE=$1
- DIR=$2
--test -z "$S" && S="$DIR/"
-+test -z "$TK_S" && TK_S="$DIR/"
-
- # A sed script to parse the alternative names out of a man page.
- #
-@@ -62,6 +62,6 @@
- $ZIP $DIR/$FIRST
- else
- rm -f $DIR/$f $DIR/$f.*
-- ln $S$FIRST$Z $DIR/$f$Z
-+ ln $TK_S$FIRST$Z $DIR/$f$Z
- fi
- done
diff --git a/dev-lang/tk/files/tk-8.5.10-conf.patch b/dev-lang/tk/files/tk-8.5.10-conf.patch
deleted file mode 100644
index 8a61042..0000000
--- a/dev-lang/tk/files/tk-8.5.10-conf.patch
+++ /dev/null
@@ -1,31 +0,0 @@
- unix/tcl.m4 | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/unix/tcl.m4 b/unix/tcl.m4
-index 3974753..9c36eb5 100644
---- a/unix/tcl.m4
-+++ b/unix/tcl.m4
-@@ -1420,12 +1420,12 @@ AC_DEFUN([SC_CONFIG_CFLAGS], [
- # get rid of the warnings.
- #CFLAGS_OPTIMIZE="${CFLAGS_OPTIMIZE} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
-
-- SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS}'
-+ SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS} -Wl,-soname,${@}'
- DL_OBJS="tclLoadDl.o"
- DL_LIBS="-ldl"
- LDFLAGS="$LDFLAGS -Wl,--export-dynamic"
- AS_IF([test $doRpath = yes], [
-- CC_SEARCH_FLAGS='-Wl,-rpath,${LIB_RUNTIME_DIR}'])
-+ CC_SEARCH_FLAGS=''])
- LD_SEARCH_FLAGS=${CC_SEARCH_FLAGS}
- AS_IF([test "`uname -m`" = "alpha"], [CFLAGS="$CFLAGS -mieee"])
- AS_IF([test $do64bit = yes], [
-@@ -1452,7 +1452,7 @@ AC_DEFUN([SC_CONFIG_CFLAGS], [
- SHLIB_CFLAGS="-fPIC"
- SHLIB_SUFFIX=".so"
-
-- SHLIB_LD='${CC} -shared'
-+ SHLIB_LD='${CC} ${CFLAGS} -shared'
- DL_OBJS=""
- DL_LIBS="-ldl"
- LDFLAGS="$LDFLAGS -Wl,--export-dynamic"
diff --git a/dev-lang/tk/files/tk-8.5.11-fix-name-collision-uclibc.patch b/dev-lang/tk/files/tk-8.5.11-fix-name-collision-uclibc.patch
deleted file mode 100644
index a92717a..0000000
--- a/dev-lang/tk/files/tk-8.5.11-fix-name-collision-uclibc.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-diff -Naur tk8.5.11.orig/generic/ttk/ttkTreeview.c tk8.5.11/generic/ttk/ttkTreeview.c
---- tk8.5.11.orig/generic/ttk/ttkTreeview.c 2011-11-01 10:05:27.000000000 -0400
-+++ tk8.5.11/generic/ttk/ttkTreeview.c 2012-11-04 13:23:41.000000000 -0500
-@@ -485,11 +485,11 @@
- }
- }
-
--/* + unshare(objPtr) --
-+/* + unshareObj(objPtr) --
- * Ensure that a Tcl_Obj * has refcount 1 -- either return objPtr
- * itself, or a duplicated copy.
- */
--static Tcl_Obj *unshare(Tcl_Obj *objPtr)
-+static Tcl_Obj *unshareObj(Tcl_Obj *objPtr)
- {
- if (Tcl_IsShared(objPtr)) {
- Tcl_Obj *newObj = Tcl_DuplicateObj(objPtr);
-@@ -2525,7 +2525,7 @@
- } else { /* set column */
- int length;
-
-- item->valuesObj = unshare(item->valuesObj);
-+ item->valuesObj = unshareObj(item->valuesObj);
-
- /* Make sure -values is fully populated:
- */
-@@ -2826,7 +2826,7 @@
- */
- for (parent = item->parent; parent; parent = parent->parent) {
- if (!(parent->state & TTK_STATE_OPEN)) {
-- parent->openObj = unshare(parent->openObj);
-+ parent->openObj = unshareObj(parent->openObj);
- Tcl_SetBooleanObj(parent->openObj, 1);
- parent->state |= TTK_STATE_OPEN;
- TtkRedisplayWidget(&tv->core);
diff --git a/dev-lang/tk/files/tk-8.5.13-conf.patch b/dev-lang/tk/files/tk-8.5.13-conf.patch
deleted file mode 100644
index b77b8b3..0000000
--- a/dev-lang/tk/files/tk-8.5.13-conf.patch
+++ /dev/null
@@ -1,25 +0,0 @@
- unix/tcl.m4 | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/unix/tcl.m4 b/unix/tcl.m4
-index 3974753..9c36eb5 100644
---- a/unix/tcl.m4
-+++ b/unix/tcl.m4
-@@ -1420,7 +1420,7 @@ AC_DEFUN([SC_CONFIG_CFLAGS], [
- # get rid of the warnings.
- #CFLAGS_OPTIMIZE="${CFLAGS_OPTIMIZE} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
-
-- SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS}'
-+ SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS} -Wl,-soname,${@}'
- DL_OBJS="tclLoadDl.o"
- DL_LIBS="-ldl"
- LDFLAGS="$LDFLAGS -Wl,--export-dynamic"
-@@ -1452,7 +1452,7 @@ AC_DEFUN([SC_CONFIG_CFLAGS], [
- SHLIB_CFLAGS="-fPIC"
- SHLIB_SUFFIX=".so"
-
-- SHLIB_LD='${CC} -shared'
-+ SHLIB_LD='${CC} ${CFLAGS} -shared'
- DL_OBJS=""
- DL_LIBS="-ldl"
- LDFLAGS="$LDFLAGS -Wl,--export-dynamic"
diff --git a/dev-lang/tk/files/tk-8.5_alpha6-tclm4-soname.patch b/dev-lang/tk/files/tk-8.5_alpha6-tclm4-soname.patch
deleted file mode 100644
index 3fdd484..0000000
--- a/dev-lang/tk/files/tk-8.5_alpha6-tclm4-soname.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -Naur tk8.5a6.orig/unix/tcl.m4 tk8.5a6/unix/tcl.m4
---- tk8.5a6.orig/unix/tcl.m4 2007-04-27 06:02:27.000000000 +0900
-+++ tk8.5a6/unix/tcl.m4 2007-07-21 02:47:58.000000000 +0900
-@@ -1425,7 +1425,7 @@
- # get rid of the warnings.
- #CFLAGS_OPTIMIZE="${CFLAGS_OPTIMIZE} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"
-
-- SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS}'
-+ SHLIB_LD='${CC} -shared ${CFLAGS} ${LDFLAGS} -Wl,-soname,${@}'
- DL_OBJS="tclLoadDl.o"
- DL_LIBS="-ldl"
- LDFLAGS="$LDFLAGS -Wl,--export-dynamic"
diff --git a/dev-lang/tk/files/tk-configure-LANG.patch b/dev-lang/tk/files/tk-configure-LANG.patch
deleted file mode 100644
index 3ef76ef..0000000
--- a/dev-lang/tk/files/tk-configure-LANG.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-The LANG vars aren't reset early enough so when sed tries to use [a-zA-Z] in
-option parsing, it may break.
-
-http://bugs.gentoo.org/103483
-
---- configure
-+++ configure
-@@ -54,6 +54,16 @@
- infodir='${prefix}/info'
- mandir='${prefix}/man'
-
-+# NLS nuisances.
-+# Only set these to C if already set. These must not be set unconditionally
-+# because not all systems understand e.g. LANG=C (notably SCO).
-+# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
-+# Non-C LC_CTYPE values break the ctype check.
-+if test "${LANG+set}" = set; then LANG=C; export LANG; fi
-+if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
-+if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
-+if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
-+
- # Initialize some other variables.
- subdirs=
- MFLAGS= MAKEFLAGS=
-@@ -452,16 +463,6 @@
- esac
- done
-
--# NLS nuisances.
--# Only set these to C if already set. These must not be set unconditionally
--# because not all systems understand e.g. LANG=C (notably SCO).
--# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
--# Non-C LC_CTYPE values break the ctype check.
--if test "${LANG+set}" = set; then LANG=C; export LANG; fi
--if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
--if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
--if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
--
- # confdefs.h avoids OS command line length limits that DEFS can exceed.
- rm -rf conftest* confdefs.h
- # AIX cpp loses on an empty file, so make sure it contains at least a newline.
diff --git a/dev-lang/tk/tk-8.6.4-r1.ebuild b/dev-lang/tk/tk-8.6.4-r1.ebuild
deleted file mode 100644
index 106d6f5..0000000
--- a/dev-lang/tk/tk-8.6.4-r1.ebuild
+++ /dev/null
@@ -1,139 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit autotools eutils multilib multilib-minimal prefix toolchain-funcs versionator virtualx
-
-MY_P="${PN}${PV/_beta/b}"
-
-DESCRIPTION="Tk Widget Set"
-HOMEPAGE="http://www.tcl.tk/"
-SRC_URI="mirror://sourceforge/tcl/${MY_P}-src.tar.gz"
-
-LICENSE="tcltk"
-SLOT="0/8.6"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="debug +threads truetype aqua xscreensaver"
-
-RDEPEND="
- !aqua? (
- >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
- >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}]
- truetype? ( >=x11-libs/libXft-2.3.1-r1[${MULTILIB_USEDEP}] )
- xscreensaver? ( >=x11-libs/libXScrnSaver-1.2.2-r1[${MULTILIB_USEDEP}] )
- )
- ~dev-lang/tcl-${PV}:0=[${MULTILIB_USEDEP}]"
-DEPEND="${RDEPEND}
- !aqua? ( >=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}] )"
-
-# Not bumped to 8.6
-#RESTRICT=test
-
-SPARENT="${WORKDIR}/${MY_P}"
-S="${SPARENT}"/unix
-
-src_prepare() {
- find \
- "${SPARENT}"/compat/* \
- -delete || die
-
- epatch \
- "${FILESDIR}"/${PN}-8.5.11-fedora-xft.patch \
- "${FILESDIR}"/${PN}-8.5.13-multilib.patch
-
- epatch "${FILESDIR}"/${PN}-8.4.15-aqua.patch
- eprefixify Makefile.in
-
- # Bug 125971
- epatch "${FILESDIR}"/${PN}-8.5.14-conf.patch
-
- # Make sure we use the right pkg-config, and link against fontconfig
- # (since the code base uses Fc* functions).
- sed \
- -e 's/FT_New_Face/XftFontOpen/g' \
- -e "s:\<pkg-config\>:$(tc-getPKG_CONFIG):" \
- -e 's:xft freetype2:xft freetype2 fontconfig:' \
- -i configure.in || die
- rm -f configure || die
-
- tc-export CC
-
- sed \
- -e '/chmod/s:555:755:g' \
- -i Makefile.in || die
-
- sed \
- -e 's:-O[2s]\?::g' \
- -i tcl.m4 || die
-
- mv configure.{in,ac} || die
-
- eautoconf
-
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local mylibdir=$(get_libdir)
-
- econf \
- --with-tcl="${EPREFIX}/usr/${mylibdir}" \
- $(use_enable threads) \
- $(use_enable aqua) \
- $(use_enable truetype xft) \
- $(use_enable xscreensaver xss) \
- $(use_enable debug symbols)
-}
-
-multilib_src_test() {
- Xemake test
-}
-
-multilib_src_install() {
- #short version number
- local v1=$(get_version_component_range 1-2)
- local mylibdir=$(get_libdir)
-
- S= default
-
- # normalize $S path, bug #280766 (pkgcore)
- local nS="$(cd "${S}"; pwd)"
-
- # fix the tkConfig.sh to eliminate refs to the build directory
- # and drop unnecessary -L inclusion to default system libdir
-
- sed \
- -e "/^TK_BUILD_LIB_SPEC=/s:-L${S}-\w*\.\w* ::g" \
- -e "/^TK_LIB_SPEC=/s:-L${EPREFIX}/usr/${mylibdir} *::g" \
- -e "/^TK_SRC_DIR=/s:${SPARENT}:${EPREFIX}/usr/${mylibdir}/tk${v1}/include:g" \
- -e "/^TK_BUILD_STUB_LIB_SPEC=/s:-L${S}-\w*\.\w* *::g" \
- -e "/^TK_STUB_LIB_SPEC=/s:-L${EPREFIX}/usr/${mylibdir} *::g" \
- -e "/^TK_BUILD_STUB_LIB_PATH=/s:${S}-\w*\.\w*:${EPREFIX}/usr/${mylibdir}:g" \
- -e "/^TK_LIB_FILE=/s:'libtk${v1}..TK_DBGX..so':\"libk${v1}\$\{TK_DBGX\}.so\":g" \
- -i "${ED}"/usr/${mylibdir}/tkConfig.sh || die
- if use prefix && [[ ${CHOST} != *-darwin* && ${CHOST} != *-mint* ]] ; then
- sed \
- -e "/^TK_CC_SEARCH_FLAGS=/s|'$|:${EPREFIX}/usr/${mylibdir}'|g" \
- -e "/^TK_LD_SEARCH_FLAGS=/s|'$|:${EPREFIX}/usr/${mylibdir}'|" \
- -i "${ED}"/usr/${mylibdir}/tkConfig.sh || die
- fi
-
- # install private headers
- insinto /usr/${mylibdir}/tk${v1}/include/unix
- doins "${S}"/*.h
- insinto /usr/${mylibdir}/tk${v1}/include/generic
- doins "${SPARENT}"/generic/*.h
- rm -f "${ED}"/usr/${mylibdir}/tk${v1}/include/generic/{tk,tkDecls,tkPlatDecls}.h || die
-
- # install symlink for libraries
- dosym libtk${v1}$(get_libname) /usr/${mylibdir}/libtk$(get_libname)
- dosym libtkstub${v1}.a /usr/${mylibdir}/libtkstub.a
-
- if multilib_is_native_abi; then
- dosym wish${v1} /usr/bin/wish
- dodoc "${SPARENT}"/{ChangeLog*,README,changes}
- fi
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/tk/, dev-lang/tk/files/
@ 2021-01-17 13:06 Alfredo Tupone
0 siblings, 0 replies; 4+ messages in thread
From: Alfredo Tupone @ 2021-01-17 13:06 UTC (permalink / raw
To: gentoo-commits
commit: db89d15098b49859cc0c5c10be984ebd55e2ebf5
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 13:05:50 2021 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 13:05:50 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db89d150
dev-lang/tk: version bump to 8.6.11
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-lang/tk/Manifest | 1 +
dev-lang/tk/files/tk-8.6.11-test.patch | 72 ++++++++++++++++
dev-lang/tk/tk-8.6.11.ebuild | 146 +++++++++++++++++++++++++++++++++
3 files changed, 219 insertions(+)
diff --git a/dev-lang/tk/Manifest b/dev-lang/tk/Manifest
index f8946e77095..e99cccb6705 100644
--- a/dev-lang/tk/Manifest
+++ b/dev-lang/tk/Manifest
@@ -1,5 +1,6 @@
DIST tk8.5.17-src.tar.gz 4095985 BLAKE2B 4cbb140c30ca717ee499b9ad9e1a3df27a470a78613edbaec425c39afaa41d59276bbe487933a4e77a9722fcafa9113b203cf5c828660bdeb38f667c3263c3cd SHA512 ddadc738c2567e35d1257b59212c8a0eb70a1bf041d986bc6df3b841b51d934d79a0ef389c928223a64516a92cae3357b2c789edca9c8a626ff4c1cf320c4f4f
DIST tk8.6.10-src.tar.gz 4444764 BLAKE2B f56647e005778c802352aee0257c0a8f5e0014c9d21362592f08030252d83141cca385f0fb95c0e7e930016255c3b2cef49a65064e056a877214b7d7a1a01246 SHA512 d12ef3a5bde9e10209a24e9f978bd23360a979d8fa70a859cf750a79ca51067a11ef6df7589303b52fe2a2baed4083583ddaa19e2c7cb433ea523639927f1be5
+DIST tk8.6.11-src.tar.gz 4496914 BLAKE2B c3050a48d5cb3bd3095b2c439b3d33992551f953a981bf23eedbf774368b383abc77fb3156aa4bcaae658d0706495cff03536ab8258f9d824ff8f4325b36cc38 SHA512 2e11490f2f51ef7e723661dd91c95622234fb97850e80d8ecd564be8c28f7c8fb0334a97cf8267af9d68f63e4adea887a1a4eec8d2e807d6a970b5912f99d3f2
DIST tk8.6.8-src.tar.gz 4319854 BLAKE2B 167c5dc6c32e49653c04bc067c3d75df022ca230657be32797021b0e2f7748215d9ad0493c8020b8d1be1f005b9b2d561339a6a0b209721c0d05dd222d47d377 SHA512 d0d30637b733fb0b0d38461b6d872934c04af422fcdb7ec41a72331b2529cc94414e6f441f95a98642d69505e4f41469847fedd1cbe58bd08cdd818fcabd1db9
DIST tk8.6.9-src.tar.gz 4364606 BLAKE2B 9c96d977aa72dcc0c8d2a570d644284a1eef217ef082d8a78461bdcb4845e206ccad59cb5bc21ef80e32ea19951fa3a845e45059bb9eaf0756f128a95530260c SHA512 654d73aad006e628110057681477b958b7ec0a42287bc78259fb4b84635e7ebe757e69099d66c0c73479bc506ca66fa5baf13f13b0f403d60b2c54fd48a4a686
DIST tk8.6.9.1-src.tar.gz 4364603 BLAKE2B 3d96637ceadc28977f8b4532be071907d64f11bd22881baf02aa6fa2778b607437edce8f1ed02e7011bcf78468128f7bfe81ee6dac9bd73a796e7fefae130dcf SHA512 b9c811ffc8326331ae03c6fb25ea71f7a5eaeebd9d5a16a51a1671d0f0422268bd351b077e17ae925f0a7eddac9642aa640658615c52d4269c299373af031a92
diff --git a/dev-lang/tk/files/tk-8.6.11-test.patch b/dev-lang/tk/files/tk-8.6.11-test.patch
new file mode 100644
index 00000000000..96cd174be88
--- /dev/null
+++ b/dev-lang/tk/files/tk-8.6.11-test.patch
@@ -0,0 +1,72 @@
+--- a/tests/ttk/entry.test 2020-12-26 18:46:45.262306641 +0100
++++ b/tests/ttk/entry.test 2020-12-26 18:47:00.246040124 +0100
+@@ -111,34 +111,34 @@
+ set result [.e xview]
+ } -result {0.0 0.5}
+
+-test entry-3.3 "xview" -body {
++test entry-3.3 "xview" -constraints knownBug -body {
+ .e delete 0 end;
+ .e insert end abcdefghijklmnopqrstuvwxyz
+ .e xview end
+ set result [.e index @0]
+ } -result 7
+
+-test entry-3.4 "xview" -body {
++test entry-3.4 "xview" -constraints knownBug -body {
+ .e delete 0 end;
+ .e insert end abcdefghijklmnopqrstuvwxyz
+ .e xview moveto 1.0
+ set result [.e index @0]
+ } -result 7
+
+-test entry-3.5 "xview" -body {
++test entry-3.5 "xview" -constraints knownBug -body {
+ .e delete 0 end;
+ .e insert end abcdefghijklmnopqrstuvwxyz
+ .e xview scroll 5 units
+ set result [.e index @0]
+ } -result 5
+
+-test entry-3.6 "xview" -body {
++test entry-3.6 "xview" -constraints knownBug -body {
+ .e delete 0 end;
+ .e insert end [string repeat abcdefghijklmnopqrstuvwxyz 5]
+ .e xview scroll 2 pages
+ set result [.e index @0]
+ } -result 40
+
+ test entry-3.last "Series 3 cleanup" -body {
+ destroy .e
+ }
+--- a/tests/ttk/spinbox.test 2020-12-26 18:49:19.967554727 +0100
++++ b/tests/ttk/spinbox.test 2020-12-26 18:49:58.015877788 +0100
+@@ -136,7 +136,7 @@
+ destroy .sb
+ } -returnCodes error -result {bad validate "bogus": must be all, key, focus, focusin, focusout, or none}
+
+-test spinbox-1.8.4 "-validate option: " -setup {
++test spinbox-1.8.4 "-validate option: " -constraints knownBug -setup {
+ set ::spinbox_test {}
+ ttk::spinbox .sb -from 0 -to 100
+ } -body {
+--- a/tests/font.test 2020-12-26 19:15:55.199228774 +0100
++++ b/tests/font.test 2020-12-26 19:18:05.414951407 +0100
+@@ -399,7 +399,7 @@
+ # (tkfont == NULL)
+ font measure "\{xyz" abc
+ } -returnCodes error -result "font \"{xyz\" doesn't exist"
+-test font-9.5 {font command: measure} -body {
++test font-9.5 {font command: measure} -constraints knownBug -body {
+ # Tk_TextWidth()
+ expr {[font measure $fixed "abcdefg"] == [font measure $fixed "a"]*7 }
+ } -result 1
+@@ -450,7 +450,7 @@
+ # (Tcl_GetIndexFromObj() != TCL_OK)
+ font metrics $fixed -xyz
+ } -returnCodes error -result {bad metric "-xyz": must be -ascent, -descent, -linespace, or -fixed}
+-test font-10.9 {font command: metrics: get individual metrics} -body {
++test font-10.9 {font command: metrics: get individual metrics} -constraints knownBug -body {
+ font metrics $fixed -ascent
+ font metrics $fixed -descent
+ font metrics $fixed -linespace
diff --git a/dev-lang/tk/tk-8.6.11.ebuild b/dev-lang/tk/tk-8.6.11.ebuild
new file mode 100644
index 00000000000..741a2f70992
--- /dev/null
+++ b/dev-lang/tk/tk-8.6.11.ebuild
@@ -0,0 +1,146 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal prefix toolchain-funcs virtualx
+
+MY_P="${PN}${PV/_beta/b}"
+
+DESCRIPTION="Tk Widget Set"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="mirror://sourceforge/tcl/${MY_P}-src.tar.gz"
+
+LICENSE="tcltk"
+SLOT="0/8.6"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug +threads truetype aqua xscreensaver"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !aqua? (
+ >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}]
+ truetype? ( >=x11-libs/libXft-2.3.1-r1[${MULTILIB_USEDEP}] )
+ xscreensaver? ( >=x11-libs/libXScrnSaver-1.2.2-r1[${MULTILIB_USEDEP}] )
+ )
+ ~dev-lang/tcl-$(ver_cut 1-3):0=[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}
+ !aqua? ( x11-base/xorg-proto )"
+
+# Not bumped to 8.6
+#RESTRICT=test
+
+SPARENT="${WORKDIR}/${PN}$(ver_cut 1-3 ${PV})"
+S="${SPARENT}"/unix
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-8.6.10-multilib.patch
+ "${FILESDIR}"/${PN}-8.4.15-aqua.patch
+ "${FILESDIR}"/${PN}-8.6.9-conf.patch # Bug 125971
+ "${FILESDIR}"/${P}-test.patch
+)
+
+src_prepare() {
+ find \
+ "${SPARENT}"/compat/* \
+ -delete || die
+
+ pushd "${SPARENT}" &>/dev/null || die
+ default
+ popd &>/dev/null || die
+ eprefixify Makefile.in
+
+ # Make sure we use the right pkg-config, and link against fontconfig
+ # (since the code base uses Fc* functions).
+ sed \
+ -e 's/FT_New_Face/XftFontOpen/g' \
+ -e "s:\<pkg-config\>:$(tc-getPKG_CONFIG):" \
+ -e 's:xft freetype2:xft freetype2 fontconfig:' \
+ -i configure.in || die
+ rm configure || die
+
+ tc-export CC
+
+ sed \
+ -e '/chmod/s:555:755:g' \
+ -i Makefile.in || die
+
+ sed \
+ -e 's:-O[2s]\?::g' \
+ -i tcl.m4 || die
+
+ mv configure.{in,ac} || die
+
+ eautoconf
+
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ if tc-is-cross-compiler ; then
+ export ac_cv_func_strtod=yes
+ export tcl_cv_strtod_buggy=1
+ fi
+
+ local mylibdir=$(get_libdir)
+
+ econf \
+ --with-tcl="${EPREFIX}/usr/${mylibdir}" \
+ $(use_enable threads) \
+ $(use_enable aqua) \
+ $(use_enable truetype xft) \
+ $(use_enable xscreensaver xss) \
+ $(use_enable debug symbols)
+}
+
+multilib_src_test() {
+ CI=1 virtx emake test
+}
+
+multilib_src_install() {
+ #short version number
+ local v1=$(ver_cut 1-2)
+ local mylibdir=$(get_libdir)
+
+ S= default
+
+ # normalize $S path, bug #280766 (pkgcore)
+ local nS="$(cd "${S}"; pwd)"
+
+ # fix the tkConfig.sh to eliminate refs to the build directory
+ # and drop unnecessary -L inclusion to default system libdir
+
+ sed \
+ -e "/^TK_BUILD_LIB_SPEC=/s:-L${S}-\w*\.\w* ::g" \
+ -e "/^TK_LIB_SPEC=/s:-L${EPREFIX}/usr/${mylibdir} *::g" \
+ -e "/^TK_SRC_DIR=/s:${SPARENT}:${EPREFIX}/usr/${mylibdir}/tk${v1}/include:g" \
+ -e "/^TK_BUILD_STUB_LIB_SPEC=/s:-L${S}-\w*\.\w* *::g" \
+ -e "/^TK_STUB_LIB_SPEC=/s:-L${EPREFIX}/usr/${mylibdir} *::g" \
+ -e "/^TK_BUILD_STUB_LIB_PATH=/s:${S}-\w*\.\w*:${EPREFIX}/usr/${mylibdir}:g" \
+ -e "/^TK_LIB_FILE=/s:'libtk${v1}..TK_DBGX..so':\"libk${v1}\$\{TK_DBGX\}.so\":g" \
+ -i "${ED}"/usr/${mylibdir}/tkConfig.sh || die
+ if use prefix && [[ ${CHOST} != *-darwin* && ${CHOST} != *-mint* ]] ; then
+ sed \
+ -e "/^TK_CC_SEARCH_FLAGS=/s|'$|:${EPREFIX}/usr/${mylibdir}'|g" \
+ -e "/^TK_LD_SEARCH_FLAGS=/s|'$|:${EPREFIX}/usr/${mylibdir}'|" \
+ -i "${ED}"/usr/${mylibdir}/tkConfig.sh || die
+ fi
+
+ # install private headers
+ insinto /usr/${mylibdir}/tk${v1}/include/unix
+ doins "${S}"/*.h
+ insinto /usr/${mylibdir}/tk${v1}/include/generic
+ doins "${SPARENT}"/generic/*.h
+ rm -f "${ED}"/usr/${mylibdir}/tk${v1}/include/generic/{tk,tkDecls,tkPlatDecls}.h || die
+
+ # install symlink for libraries
+ dosym libtk${v1}$(get_libname) /usr/${mylibdir}/libtk$(get_libname)
+ dosym libtkstub${v1}.a /usr/${mylibdir}/libtkstub.a
+
+ if multilib_is_native_abi; then
+ dosym wish${v1} /usr/bin/wish
+ dodoc "${SPARENT}"/{ChangeLog*,README.md,changes}
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/tk/, dev-lang/tk/files/
@ 2021-12-12 9:38 Alfredo Tupone
0 siblings, 0 replies; 4+ messages in thread
From: Alfredo Tupone @ 2021-12-12 9:38 UTC (permalink / raw
To: gentoo-commits
commit: e9ce1d49e66bcdbc3265dbc7f1e2b6fe05c2730f
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 12 09:37:46 2021 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Dec 12 09:37:46 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9ce1d49
dev-lang/tk: some tests do no work
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-lang/tk/files/tk-8.6.12-test.patch | 31 +++++++++++++++++++++++++++++++
dev-lang/tk/tk-8.6.12.ebuild | 1 +
2 files changed, 32 insertions(+)
diff --git a/dev-lang/tk/files/tk-8.6.12-test.patch b/dev-lang/tk/files/tk-8.6.12-test.patch
new file mode 100644
index 000000000000..231265f464e4
--- /dev/null
+++ b/dev-lang/tk/files/tk-8.6.12-test.patch
@@ -0,0 +1,31 @@
+--- a/tests/font.test 2020-12-26 19:15:55.199228774 +0100
++++ b/tests/font.test 2020-12-26 19:18:05.414951407 +0100
+@@ -399,7 +399,7 @@
+ # (tkfont == NULL)
+ font measure "\{xyz" abc
+ } -returnCodes error -result "font \"{xyz\" doesn't exist"
+-test font-9.5 {font command: measure} -body {
++test font-9.5 {font command: measure} -constraints knownBug -body {
+ # Tk_TextWidth()
+ expr {[font measure $fixed "abcdefg"] == [font measure $fixed "a"]*7 }
+ } -result 1
+@@ -450,7 +450,7 @@
+ # (Tcl_GetIndexFromObj() != TCL_OK)
+ font metrics $fixed -xyz
+ } -returnCodes error -result {bad metric "-xyz": must be -ascent, -descent, -linespace, or -fixed}
+-test font-10.9 {font command: metrics: get individual metrics} -body {
++test font-10.9 {font command: metrics: get individual metrics} -constraints knownBug -body {
+ font metrics $fixed -ascent
+ font metrics $fixed -descent
+ font metrics $fixed -linespace
+--- a/tests/scrollbar.test 2021-12-12 10:20:06.460611347 +0100
++++ b/tests/scrollbar.test 2021-12-12 10:21:12.204503285 +0100
+@@ -717,7 +717,7 @@
+ destroy .t .s
+ } -result {5.0}
+
+-test scrollbar-10.2.1 {<MouseWheel> event on scrollbar} -constraints {notAqua} -setup {
++test scrollbar-10.2.1 {<MouseWheel> event on scrollbar} -constraints knownBug -setup {
+ destroy .t .s
+ } -body {
+ pack [text .t -xscrollcommand {.s set} -wrap none] -side top
diff --git a/dev-lang/tk/tk-8.6.12.ebuild b/dev-lang/tk/tk-8.6.12.ebuild
index bbf26ad4fba4..1a56e674c79b 100644
--- a/dev-lang/tk/tk-8.6.12.ebuild
+++ b/dev-lang/tk/tk-8.6.12.ebuild
@@ -39,6 +39,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-8.6.10-multilib.patch
"${FILESDIR}"/${PN}-8.4.15-aqua.patch
"${FILESDIR}"/${PN}-8.6.9-conf.patch # Bug 125971
+ "${FILESDIR}"/${PN}-8.6.12-test.patch
)
src_prepare() {
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2021-12-12 9:38 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-17 13:06 [gentoo-commits] repo/gentoo:master commit in: dev-lang/tk/, dev-lang/tk/files/ Alfredo Tupone
-- strict thread matches above, loose matches on Subject: below --
2021-12-12 9:38 Alfredo Tupone
2016-08-08 7:50 Lars Wendler
2016-03-08 8:04 Lars Wendler
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox